package de.ozgcloud.admin.environment;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Configuration
@ConfigurationProperties(prefix = OAuth2Properties.PREFIX)
public class OAuth2Properties {

	static final String PREFIX = "ozgcloud.oauth2";

	/**
	 * OAuth2 auth server url
	 */
	private String authServerUrl;

	/**
	 * OAuth2 realm
	 */
	private String realm;

	/**
	 * OAuth2 resource
	 */
	private String resource;
}