package de.ozgcloud.admin.settings;

import java.util.List;

import org.springframework.cloud.config.environment.Environment;
import org.springframework.cloud.config.environment.PropertySource;
import org.springframework.cloud.config.server.environment.EnvironmentRepository;
import org.springframework.stereotype.Component;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Component
public class AdminEnvironmentRepository implements EnvironmentRepository {

	private final PropertyRepository propertyRepository;

	@Override
	public Environment findOne(String application, String profile, String label) {
		List<ConfigurationProperties> properties = propertyRepository.findAllByApplication(application);
		return buildEnvironment(application, properties);
	}

	Environment buildEnvironment(String application, List<ConfigurationProperties> properties) {
		var environment = new Environment(application);
		environment.addAll(properties.stream().map(this::createPropertySource).toList());
		return environment;
	}

	PropertySource createPropertySource(ConfigurationProperties configurationProperties) {
		return new PropertySource(null, configurationProperties.getSource());
	}

}
