package de.ozgcloud.admin.settings;

import jakarta.validation.ConstraintViolationException;
import jakarta.validation.Validation;

import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

@Component
class SettingsValidator implements Validator {

	@Override
	public boolean supports(Class<?> clazz) {
		return Settings.class.equals(clazz);
	}

	@Override
	public void validate(Object target, Errors errors) {
		var validator = Validation.buildDefaultValidatorFactory().getValidator();
		var constraintViolations = validator.validate(target);
		if (!constraintViolations.isEmpty()) {
			throw new ConstraintViolationException(constraintViolations);
		}
	}

}
