
package de.ozgcloud.admin.settings;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.security.test.context.support.WithMockUser;
import org.springframework.test.web.servlet.MockMvc;

import de.ozgcloud.common.test.DataITCase;
import lombok.SneakyThrows;

@DataITCase
@AutoConfigureMockMvc
@WithMockUser
class AdminEnvironmentITCase {
	@Autowired
	private MockMvc mockMvc;

	@Test
	@SneakyThrows
	void shouldHaveHttpEndpoint() {
		var result = mockMvc.perform(get("/configserver/example/path"));

		result.andExpect(status().isOk());
	}
}