package de.ozgcloud.admin.settings.postfach;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.common.test.TestUtils;

public class PostfachTestFactory {
	public static final Absender ABSENDER = AbsenderTestFactory.create();
	public static final String SIGNATUR = LoremIpsum.getInstance().getHtmlParagraphs(1, 2);

	public static Postfach create() {
		return createBuilder().build();
	}

	public static Postfach.PostfachBuilder createBuilder() {
		return Postfach.builder()
				.absender(ABSENDER)
				.signatur(SIGNATUR);
	}

	public static String buildPostfachJson(Postfach postfach) {
		return TestUtils.loadTextFile("jsonTemplates/settings/createPostfach.json.tmpl", postfach.getAbsender().getName(),
				postfach.getAbsender().getAnschrift(), postfach.getAbsender().getDienst(), postfach.getAbsender().getMandant(),
				postfach.getAbsender().getGemeindeschluessel(), postfach.getSignatur());
	}

}
